org.apache.bcel.classfile

## Class ConstantNameAndType

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantNameAndType

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantNameAndType
      extends Constant

  This class is derived from the abstract `Constant` and represents a reference to the name and signature of a field or method.
  Version:
    $Id$
  See Also:
    `Constant`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantNameAndType(ConstantNameAndType c)` Initialize from another object.
    `ConstantNameAndType(int name_index, int signature_index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `void` | `dump(DataOutputStream file)` Dump name and signature index to file stream in binary format.
    `String` | `getName(ConstantPool cp)`
    `int` | `getNameIndex()`
    `String` | `getSignature(ConstantPool cp)`
    `int` | `getSignatureIndex()`
    `void` | `setNameIndex(int name_index)`
    `void` | `setSignatureIndex(int signature_index)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantNameAndType

          public ConstantNameAndType(ConstantNameAndType c)

      Initialize from another object.

    - #### ConstantNameAndType

          public ConstantNameAndType(int name_index,
                                     int signature_index)

      Parameters:
        `name_index` - Name of field/method
        `signature_index` - and its signature

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump name and signature index to file stream in binary format.
      Specified by:
        `dump` in class `Constant`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getNameIndex

          public final int getNameIndex()

      Returns:
        Name index in constant pool of field/method name.

    - #### getName

          public final String getName(ConstantPool cp)

      Returns:
        name

    - #### getSignatureIndex

          public final int getSignatureIndex()

      Returns:
        Index in constant pool of field/method signature.

    - #### getSignature

          public final String getSignature(ConstantPool cp)

      Returns:
        signature

    - #### setNameIndex

          public final void setNameIndex(int name_index)

      Parameters:
        `name_index` - the name index of this constant

    - #### setSignatureIndex

          public final void setSignatureIndex(int signature_index)

      Parameters:
        `signature_index` - the signature index in the constant pool of this type

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Constant`
      Returns:
        String representation

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.